petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCFieldSplitGetSchurPre

For Schur complement fieldsplit, determine how the Schur complement will be preconditioned. See PCFieldSplitSetSchurPre() for details.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitGetSchurPre(PC pc,PCFieldSplitSchurPreType *ptype,Mat *pre)

Logically Collective on PC

### Input Parameters

pc -the preconditioner context

### Output Parameters

| ptype | - which matrix to use for preconditioning the Schur complement: PC_FIELDSPLIT_SCHUR_PRE_A11, PC_FIELDSPLIT_SCHUR_PRE_SELF, PC_FIELDSPLIT_PRE_USER
| userpre | - matrix to use for preconditioning (with PC_FIELDSPLIT_PRE_USER), or NULL

### See Also

PCFieldSplitSetSchurPre(), PCFieldSplitGetSubKSP(), PCFIELDSPLIT, PCFieldSplitSetFields(), PCFieldSplitSchurPreType, PCLSC

### Level

intermediate

### Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c

### Implementations

PCFieldSplitGetSchurPre_FieldSplit in src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages